> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-session-type-list.md).

# Get Session Type List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getSessionTypeList`

Return the venue session type list for the account.

{% tabs %}
{% tab title="200 " %}

```
{
  "meta": {
    "totalResults": 1,
    "start": 0,
    "perPage": 1,
    "count": 1
  },
  "results": [
    {
      "id": 2,
      "name": "Session Type"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Session Type List`

```javascript
{}
```

### Returns

`A collection object with the following properties in the results`

| Property | Type    | Description                        |
| -------- | ------- | ---------------------------------- |
| id       | integer | The unique session type identifier |
| name     | integer | The name of Session TYpe           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-session-type-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
